openSUSE Security Update : libxml2 (openSUSE-SU-2012:0975-1)

Medium Nessus Plugin ID 74708


The remote openSUSE host is missing a security update.


Fixed an integer overflow in libxml2 which could lead to crashes or potential code execution.


Update the affected libxml2 packages.

See Also

Plugin Details

Severity: Medium

ID: 74708

File Name: openSUSE-2012-501.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2016/05/20

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libxml2, p-cpe:/a:novell:opensuse:libxml2-32bit, p-cpe:/a:novell:opensuse:libxml2-debuginfo, p-cpe:/a:novell:opensuse:libxml2-debuginfo-32bit, p-cpe:/a:novell:opensuse:libxml2-debugsource, p-cpe:/a:novell:opensuse:libxml2-devel, p-cpe:/a:novell:opensuse:libxml2-devel-32bit, cpe:/o:novell:opensuse:11.4, cpe:/o:novell:opensuse:12.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/08/02

Reference Information

CVE: CVE-2012-2807

OSVDB: 83266